function verif()
{
		
		if (document.selection.adresse[1])
		 { // objet existe
   		  var check1 = true; 
		}
		else { // objet n'existe pas
        		  var check1 = false; 
		}
		
		if (document.selection.adresse[2])
		 { // objet existe
   		  var check2 = true; 
		}
		else { // objet n'existe pas
        		  var check2 = false; 
		}
		
		if (document.selection.adresse[3])
		 { // objet existe
   		  var check3 = true; 
		}
		else { // objet n'existe pas
        		  var check3 = false; 
		}
			
/*****************************************************/			
		if( check1 == true && check2 == false && check3 == false)
		   { //alert("1");
		     var test1 =document.selection.adresse[1].checked ;
		     
		     if( test1 == false)
		       { alert("Vous devez choisir une adresse de livraison")
		         return false;
		       }
		   
		     else {
			   document.selection.valide.value = "ok";
		         }
		   }	

/*****************************************************/			
			
		if( check1 == true && check2 == true && check3 == false)
		   { //alert("12");
		     var test1 =document.selection.adresse[1].checked ;
		     var test2 =document.selection.adresse[2].checked ;
		     
		     if( test1 == false && test2 == false)
		       { alert("Vous devez choisir une adresse de livraison")
		         return false;
		       }
		   
		     else {document.selection.valide.value = "ok";
		         }
		     
		   }		
			
/*****************************************************/			
			
		if( check1 == true && check2 == false && check3 == true)
		   { //alert("13");
		     var test1 =document.selection.adresse[1].checked ;
		     var test3 =document.selection.adresse[3].checked ;
		     
		     if( test1 == false && test3 == false)
		       { alert("Vous devez choisir une adresse de livraison")
		         return false;
		       }
		   
		     else {document.selection.valide.value = "ok";
		         }
		     
		   }		
			
/*****************************************************/			
			
		if( check1 == true && check2 == true && check3 == true)
		   { //alert("123");
		     var test1 =document.selection.adresse[1].checked ;
		     var test2 =document.selection.adresse[2].checked ;
		     var test3 =document.selection.adresse[3].checked ;
		     
		     if( test1 == false && test2 == false & test3 == false)
		       { alert("Vous devez choisir une adresse de livraison")
		         return false;
		       }
		   
		     else {document.selection.valide.value = "ok";
		         }
		     
		   }				
			
		
	}